Summary:        Finding and running system commands made easy
Name:           perl-IPC-Cmd
Version:        1.04
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IPC-Cmd
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/IPC-Cmd-%{version}.tar.gz

Patch3000:         IPC-Cmd-0.96-Replace-EU-MM-dependency-with-EU-MM-Utils.patch

BuildRequires:  make perl-generators perl-interpreter 
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(constant) perl(Exporter) perl(FileHandle)
BuildRequires:  perl(ExtUtils::MM::Utils) perl(File::Spec) perl(IO::Handle)   
BuildRequires:  perl(IO::Select) perl(IPC::Open3) perl(POSIX)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(IPC::Run) >= 0.55
%endif
BuildRequires:  perl(Locale::Maketext::Simple) perl(vars)
BuildRequires:  perl(Module::Load::Conditional) >= 0.66
BuildRequires:  perl(Params::Check) >= 0.20 
BuildRequires:  perl(Socket) perl(strict) perl(Symbol)
BuildRequires:  perl(Text::ParseWords) perl(Time::HiRes) 
BuildRequires:  perl(Data::Dumper) perl(File::Temp) perl(lib) 
BuildRequires:  perl(Test::More) perl(warnings) 
Requires:       perl(ExtUtils::MM::Utils)      
Requires:       perl(FileHandle) perl(IO::Handle) perl(IO::Select)     
Requires:       perl(IPC::Open3) perl(POSIX) perl(Socket) perl(Time::HiRes)
Requires:       perl(Module::Load::Conditional) >= 0.66 perl(Params::Check) >= 0.20     
Suggests:       perl(IPC::Run) >= 0.55

BuildArch:      noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Module::Load::Conditional\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Params::Check\\)$

%description
IPC::Cmd allows for the searching and execution of any binary on your system.
It adheres to verbosity settings and is able to run intereactive.It also has 
an option to capture output/error buffers.

%prep
%autosetup -n IPC-Cmd-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/IPC/
%{_mandir}/man3/IPC::Cmd.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.04-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 15 2022 Wang Zhe <bessiewang@tencent.com> - 1.04-1
- initial build
